/**
 * description
 *
 * @author eson
 *2022年7月12日-11:10:54
 */
package com.yuandian.dataflow.statemachine.rpc;

import com.alipay.sofa.jraft.Status;
import com.alipay.sofa.jraft.rpc.RpcContext;
import com.alipay.sofa.jraft.rpc.RpcProcessor;
import com.yuandian.dataflow.statemachine.SyncDataClosure;

import lombok.extern.slf4j.Slf4j;

/**
 * description
 *
 * @author eson
 *2022年7月12日-11:10:54
 */
@Slf4j
public class SyncDataProcessor implements RpcProcessor<SyncData> {

    @Override
    public void handleRequest(RpcContext rpcCtx, SyncData request) {
        log.info("{}", rpcCtx);
        log.info("{}", request);
       

        final SyncDataClosure  closure = new SyncDataClosure() {
            @Override
            public void run(Status status) {
                rpcCtx.sendResponse(getResponse());
            }
        };
    
 
    }

    @Override
    public String interest() {
        return SyncData.class.getName();
    }

    public static void main(String[] args) {
        
    }
    
}
